/*Rest default style*/
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}
/*Siatka układ*/
* {
    box-sizing: border-box;
}
html {
    scroll-behavior: smooth;
}
body {
    height: 1000px;
    font-family: 'Dosis', sans-serif;
    line-height: 1.5em;
}
header {
    background-image: url(../images/djdiscoking.JPG);
    width: 100%;
    height: 100vh;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: top center;  
}
.content {
    width: 100%;
}
.row {
    display: flex;
    flex-flow: wrap;
    align-items: center;
}
.logo img{
    width: 50px;
    height: 50px;
}
.menu-icon {
    cursor: pointer;
    display: inline-block;
    position: relative;
    user-select: none;
}
.menu-icon .navicon {
    background: #FFF;
    display: block;
    height: 3px;
    position: relative;
    transition: background .2s ease-out;
    width: 35px;
}
.menu-icon .navicon:before,
.menu-icon .navicon:after {
  background: #FFF;
  content: '';
  display: block;
  height: 100%;
  position: absolute;
  transition: all .2s ease-out;
  width: 100%;
}
.menu-icon .navicon:before {
    top: 8px;
} 
.menu-icon .navicon:after {
    top: -8px;
}
.menu-btn {
    display: none;
}
.hamburger {
    padding: 10px;
    display: inline-block;
    cursor: pointer;
    background-color: transparent;
    border: 0;
    margin: 0;
  }
.hamburger__box {
    width: 40px;
    height: 24px;
    display: inline-block;
    position: relative;
}
.hamburger__inner, .hamburger__inner::before, .hamburger__inner::after {
    width: 100%;
    height: 3px;
    background-color: #FFF;
    position: absolute;
}
.sticky .hamburger__inner, .sticky .hamburger__inner::before, .sticky .hamburger__inner::after {
    background-color: #000;
}
.hamburger__inner {
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    transition: background-color .3s .1s ease-in-out;
}
.hamburger__inner::before, .hamburger__inner::after {
    content: '';
    left: 0;
    transition: transform .3s ease-in-out;
}
.hamburger__inner:before {
    top: -10px;
}
.hamburger__inner:after {
    top: 10px;
}
.hamburger--active .hamburger__inner {
    background-color: transparent;
}
.hamburger--active .hamburger__inner::before {
    transform: translateY(10px) rotate(45deg);
    background-color: #000;
}
.hamburger--active .hamburger__inner:after {
    transform: translateY(-10px) rotate(-45deg);
    background-color: #000;
}
nav {
    order: 4;
    width: 100%;
}
.resp-menu {
    order: 3;
    display: flex;
    flex-flow: column;
    align-items: flex-end;
    padding: 1em;
}
.logo {
    padding: 1em;
}
.name-menu {
    color: #fff;
    text-align: right;
}
.social {
    display: flex;
    align-items: center;
    justify-content: space-around;

}
.logo, .resp-menu, .social-media {
    width: 33.3%;
}
.icon  {
    font-size: 2em;
    color: #FFF;
    padding: .3em;
    cursor: pointer;
    transition: color .5s ease-in-out;
}
.fa-facebook:hover, .sticky .fa-facebook:hover {
    color: #3578E5;
}
.fa-instagram:hover, .sticky .fa-instagram:hover {
    color: #a83e9b; 
}
.fa-youtube:hover, .sticky .fa-youtube:hover {
    color: #ff0000; 
}
.color {
    color: #000;
}
.menu {
    display: none; 
    padding: 1em 0;
    background: #f1f1f1;
}
.display {
    display: flex;
    flex-flow: column;
    align-items: center;
}
.item-menu {
    padding: .5em;
    transition: background .5s;
}
.item-menu:hover {
    background: #FFF;
    text-align: center;
}
.main-link {
    text-decoration: none;
}
.background {
    background: #f1f1f1;
}
img {
    width: 100%;
    height: auto;
}
.content {
    padding: 0 1em;   
}
.header-title {
    display: flex;
    justify-content: center;
    align-items: flex-end;
    height: 80%;
    color: #FFF;
    font-size: 2em;
    font-weight: 700;
    letter-spacing: 10px;
}
.center-header {
    display: flex;
    justify-content: center;
}

.head-decorate > span:before, .head-decorate > span:after {
    content: '';
    position: absolute;
    width: 2px;
    height: 26px;
    left: 50%;
    background-color: #beb6eb;
    transform: translateX(-50%) rotate(-146deg);
}
.head-decorate > span {
    position: relative;
    padding-top: 28px;
    padding-bottom: 28px;
    display: inline-block;
    font-weight: 900;
    font-size: 1.5em;
    letter-spacing: 1px;
    text-transform: uppercase;
}
.head-decorate > span:before {
    top: 0;
    margin-left: 18px;
}
.head-decorate > span:after {
    margin-left: -11px;
    bottom: 0;
}
.head-decorate {
    padding: 1em 0;
}
.col-2, .col-all-row, .offer-list {
    width: 100%;
    padding: 1em 0;
    font-size: 1.2em;
    text-align: center;
}
#about-us .col-2:nth-of-type(1) {
    order: 2;
}
#about-us .col-2:nth-of-type(2) {
    order: 1;
}
#about-us .col-2:nth-of-type(3) {
    order: 3;
}
#about-us .col-2:nth-of-type(4) {
    order: 4;
}
.col-all-row {
    order: 5;
    font-weight: 700;
}
.box {
    position: relative;
}
.box h3 {
    position: relative;
    text-align: center;
    font-weight: 700;
    font-size: 1.5em;
    background-color: #FFF;
    opacity: 0;
    padding: 1em;
    margin-top: -3em;
    transition: opacity .25s ease-in-out;
}
.box:hover h3{
    opacity: 0.7;
}
#offer {
    text-align: center;
}
.offer-list {
    padding: 1em 0;
}
#offer .col-4 {
    display: none;
}
#offer .head-decorate span {
    left:0;
}
.col-3, .col-8 {
    width: 100%;
}
footer {
    font-size: 1.2em;
    text-align: center;
    padding: 1em 0;
    background: #f1f1f1;
}
#contact .col-3 {
    text-align: center;
    padding: 1em 0;
}
#contact img {
    width: 50%;
    height: auto;
}
.contact-info {
    font-size: 1.2em;
}
.contact-info-item {
    padding: .5em 0;
}
footer a {
    text-decoration: none;
    color: #000;
}
.sticky {
    position: fixed;
    background: #f1f1f1;
    z-index: 2;
    box-shadow: 0px 2px 10px 0px #c7c7c7;
}
.sticky .icon {
    color: #000;
}
.sticky .item-menu a {
    color: #000;
}
.sticky .item-menu {
    transition: background .5s;
}
.sticky .item-menu:hover {
    background-color: #fff;
}
.sticky .active {
    background-color: #fff;
    border: 1px solid #000;
}
/* */
.bar1, .bar2, .bar3 {
    width: 35px;
    height: 5px;
    background-color: #333;
    margin: 6px 0;
    transition: 0.4s;
  }
  
  .change .bar1 {
    transform: rotate(-45deg) translate(-9px, 6px);
  }
  
  .change .bar2 {opacity: 0;}
  
  .change .bar3 {
    transform: rotate(45deg) translate(-18px, -15px);
  }

  #goTop {
    position: fixed;
    bottom: 100px;
    right: -100px;
    border: 0;
    background: transparent;
    transition: right .4s;
    cursor: pointer;
    padding: 0;
  }
  #goTop:before {
      font-family: 'Font Awesome 5 Free';
      content: '\f062';
      padding: .5em;
      background: #f1f1f1;
      opacity: .8;
      font-size: 2em;
      font-weight: 700;
  }
  #goTop:active, #goTop:focus {
      outline-color: transparent;
  }
  .is-visible {
      right: 25px !important;
  }
  .hide {
      opacity: 0;
  }
  .show {
      opacity: 1;
  }
  .iframe {
      width: 100%;
      height: 300px;
  }
@media (min-width: 361px) {
    .header-title {
        font-size: 3em;
    }
}
@media (min-width: 600px) {
    .row {
        justify-content: space-between;
    }
    #about-us .col-2:nth-of-type(1) {
        order: 1;
    }
    #about-us .col-2:nth-of-type(2) {
        order: 2;
    }
    #about-us .col-2:nth-of-type(3) {
        order: 3;
    }
    #about-us .col-2:nth-of-type(4) {
        order: 4;
    }
    .col-3:nth-of-type(16) {
        display: none;
    }
}
@media (min-width: 600px) and (max-width: 919px) {
    .col-2, .col-4 {
        width: 49.5%;
    }
    .col-3 {
        width: 33.3%;
    }
    .col-2, .col-all-row, .offer-list {
        font-size: 1em;
        padding: 1em 0;
    }
    span.cssbox_full img {
        max-height: 90% !important;
        max-width: 70% !important;
    }
}
@media (min-width: 920px) {
    .resp-menu {
        display: none;
        width: 0;
    }
    .menu {
        display: flex;
    }
    .logo {
        order: 1;
        width: 25%;
    }
    nav {
        order: 2;
        width: 50%;
    }
    .social-media {
        order: 3;
        width: 20%;
    }
    .menu {
        background: none;
    }
    .item-menu {
        width: 20%;
        text-align: center;
    }
    .item-menu a {
        font-weight: 700;
        color: #FFF;
    }
    .active {
        background-color: #f1f1f1;
    }
    .active .main-link {
        color: #000;
    }
    .item-menu:hover a {
        color: #000;
    }
    .item-menu:hover {
        background: none;
        width: 20%;
        text-align: center;
        background-color: #f1f1f1;
        color: #000;
    }
    
    .display {
        display: flex;
        flex-flow: row;
    }
    .color {
        color: #fff;
    }
    .background {
        background: none;
    }
    .col-2 {
        width: 49.5%;
    }
    .col-3 {
        width: 33%;
    }
    .col-8 {
        width: 66.64%;
    }
    #offer .col-4 {
        display: block;
        width: 33.36%;
    }
    .col-4 {
        width: 24.5%;
    }
    span.cssbox_full img {
        max-height: 90% !important;
        max-width: 60% !important;
    }
    .header-title {
        font-size: 5em;
    }
    .header-title {
        text-shadow: 3px 3px 5px rgba(73,73,73,0.89);    }
    
}
@media (min-width: 1200px) {
    .content {
        width: 70%;
        margin: 0 auto;
    }
    .sticky {
        width: 100%;
    }
    .sticky .row {
        width: 70%;
        margin: 0 auto;
        background-color: #f1f1f1;
    }
    .iframe {
        height: 400px;
    }
}
